Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.tools.resources
Class ClassAttribute

    java.lang.Object
      |
      +--org.w3c.tools.resources.Attribute
            |
            +--org.w3c.tools.resources.SimpleAttribute
                  |
                  +--org.w3c.tools.resources.ClassAttribute

public class ClassAttribute
extends SimpleAttribute

The generic description of an ClassAttribute.

See Also:
  Serialized Form

Fields inherited from class org.w3c.tools.resources.Attribute
`COMPUTED, DONTSAVE, EDITABLE, flags, MANDATORY, name, type`

Constructor Summary
`ClassAttribute()`
`ClassAttribute(java.lang.String name, java.lang.Class def, int flags)`

Method Summary
`boolean` | `checkValue(java.lang.Object obj)` Is the given object a valid ClassAttribute value ?
`java.lang.String` | `pickle(java.lang.Object obj)` Pickle an integer to the given output stream.
`java.lang.String` | `stringify(java.lang.Object value)` Make a String out of a ClassAttribute value.
`java.lang.Object` | `unpickle(java.lang.String value)` Unpickle an integer from the given input stream.

Methods inherited from class org.w3c.tools.resources.Attribute
`checkFlag, getDefault, getFlag, getName, getType, setFlag, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassAttribute

    public ClassAttribute(java.lang.String name,
                          java.lang.Class def,
                          int flags)

### ClassAttribute

    public ClassAttribute()

Method Detail

### stringify

    public java.lang.String stringify(java.lang.Object value)

  Make a String out of a ClassAttribute value. The default `toString` method on classes doesn't work for that purpose, since it will preceed the class name with a class keyword.
  Returns:
    The String name of the class.
  Overrides:
    stringify in class SimpleAttribute

### checkValue

    public boolean checkValue(java.lang.Object obj)

  Is the given object a valid ClassAttribute value ?
  Parameters:
    `obj` - The object to test.
  Returns:
    A boolean true if okay.
  Overrides:
    checkValue in class Attribute

### pickle

    public java.lang.String pickle(java.lang.Object obj)

  Pickle an integer to the given output stream.
  Parameters:
    `obj` - The object to pickle.
  Throws:
    java.io.IOException - If some IO error occured.
  Overrides:
    pickle in class SimpleAttribute

### unpickle

    public java.lang.Object unpickle(java.lang.String value)

  Unpickle an integer from the given input stream.
  Parameters:
    `value` - the string representation of this integer
  Returns:
    An instance of Integer.
  Throws:
    java.io.IOException - If some IO error occured.
  Overrides:
    unpickle in class SimpleAttribute

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD